Update My Audience Targeting

Update My Audience Targeting for the specified campaign.
My Audience Targeting supports both First Party Audiences and Custom Audiences.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
🚧

Request

  • My Audience Targeting supports both First Party Audiences and Custom Audiences.
  • The Custom Audiences are the same as those used by Custom Audience Targeting, but have different Audience IDs.
📘

You can specify both INCLUDE and EXCLUDE.

For example, you might want to include all female visitors that made a purchase, but exclude visitors above the age of 40.


Combining INCLUDE and EXCLUDE conditions limits your target audience (applies an 'AND' operator).

VALID request examples:

(Follow the examples from left to right...)

{
   "collection": []
}
{
    "collection": [
        {
            "collection": [
                1713658,
                151037
            ],
            "type": "INCLUDE"
        }
    ]
}
{
    "collection": [
        {
            "collection": [
                1713658,
                151037
            ],
            "type": "INCLUDE"
        },
        {
            "collection": [
                1898703,
                1918825,
                1918824
            ],
            "type": "EXCLUDE"
        }
    ]
}
{
    "collection": [
        {
            "collection": [
                1713658,
                151037
            ],
            "type": "INCLUDE"
        },
        {
            "collection": [],
            "type": "EXCLUDE"
        }
    ]
}
{
    "collection": [
        {
            "collection": [
                1713658,
                151037
            ],
            "type": "EXCLUDE"
        }
    ]
}
🚧

Audience Targeting does not support a PATCH operation - the submitted values overwrite the old ones.

📘

For a successful request, the same object is returned in the response.

📘

Recommended Flow

If you want to remove exclusions (but keep inclusions), perform the following steps:

  1. Fetch the current list of inclusions.
  2. Send a request to Target ALL (see first example, above).
  3. Send a request to target the inclusions (obtained in step 1).

INVALID request examples:

{
    "collection": [
        {
            "collection":  [],
            "type": "EXCLUDE"
        }
    ]
}
{
    "collection": [
        {
            "collection": [],
            "type": "INCLUDE"
        },
        {
            "collection": [],
            "type": "EXCLUDE"
        }
    ]
}
{
    "http_status": 400,
    "message": "Please select an audience",
    "offending_field": "retargeting_first_party_audience"
}
🚧

At least 1 of the Audience Targeting Restrictions objects must contain a non-empty collection.

Path Params
string
required

An alphabetic ID. See Get Account Details.

string
required

A numeric ID.

Body Params
json
Defaults to { "collection": [ { "collection": [ 224820, 25287 ], "type": "INCLUDE" }, { "collection": [ 19884, 29870 ], "type": "EXCLUDE" } ] }
Response

Language
Credentials
OAuth2
LoadingLoading…
Response
Choose an example:
application/json